APIs in Category: exports | Vserver API version 1.21

export-policy-create export-policy-destroy export-policy-get export-policy-get-iter export-policy-rename export-rule-create export-rule-destroy export-rule-get export-rule-get-create-defaults export-rule-get-iter export-rule-modify export-rule-set-index | This set of ZAPIs allows managing Export policies and rules for NFSv2, NFSv3, NFSv4, CIFS and FlexCache protocols. Contains methods to create, modify, delete and obtain information about Export policies and rules in a cluster.

NetApp Manage ONTAP

export-policy-create | [top]

> Create an Export policy configuration.

> Input Name | Range | Type | Description
> policy-name |  | string | Export policy name.
> return-record |  | boolean optional | If set to true, returns the Export policy configuration. on successful creation. Default: false
> Output Name | Range | Type | Description
> result |  | export-policy-info optional | The Export policy configuration. created (keys or the entire object if requested)

> Errno | Description
> EINTERNALERROR |  |

export-policy-destroy | [top]

> Delete an Export policy configuration.

> Input Name | Range | Type | Description
> policy-name |  | string | Export policy name.

> Errno | Description
> EOBJECTNOTFOUND |  |
> EINTERNALERROR |  |

export-policy-get | [top]

> Get an Export policy configuration.

> Input Name | Range | Type | Description
> desired-attributes |  | export-policy-info optional | Specify the attributes that should be returned. If not present, all attributes for which information is available will be returned. If present, only the desired attributes for which information is available will be returned.
> policy-name |  | string | Export policy name.
> Output Name | Range | Type | Description
> attributes |  | export-policy-info | The attributes of the Export policy configuration..

> Errno | Description
> EOBJECTNOTFOUND |  |
> EINTERNALERROR |  |

export-policy-get-iter | [top]

> Get a group of Export policy configurations.

> Input Name | Range | Type | Description
> desired-attributes |  | export-policy-info optional | Specify the attributes that should be returned. If not present, all attributes for which information is available will be returned. If present, only the desired attributes for which information is available will be returned.
> max-records | [1..2^32-1] | integer optional | The maximum number of records to return in this call. Default: 20
> query |  | export-policy-info optional | A query that specifies which objects to return. A query could be specified on any number of attributes in the Export policy configuration. object. All Export policy configuration. objects matching this query up to 'max-records' will be returned.
> tag |  | string optional | Specify the tag from the last call. It is usually not specified for the first call. For subsequent calls, copy values from the 'next-tag' obtained from the previous call.
> Output Name | Range | Type | Description
> attributes-list |  | export-policy-info[] optional | The list of attributes of Export policy configuration. objects.
> next-tag |  | string optional | Tag for the next call. Not present when there are no more Export policy configuration. objects to return.
> num-records | [0..2^32-1] | integer | The number of records returned in this call.

> Errno | Description
> EINTERNALERROR |  |

export-policy-rename | [top]

> Rename an Export policy

> Input Name | Range | Type | Description
> new-policy-name |  | string | New Export policy name.
> policy-name |  | string | Export policy name.

> Errno | Description
> EOBJECTNOTFOUND |  |
> EINTERNALERROR |  |

export-rule-create | [top]

> Create an Export rule configuration.

> Input Name | Range | Type | Description
> anonymous-user-id |  | string optional | User name or ID to which anonymous users are mapped. Default value is '65534'.
> client-match |  | string | Client match specification for Export rule. The clients specified are enforced with this Export rule. The rule with the higher rule index value takes precedence.
> export-chown-mode |  | exportchownmode optional | Change ownership mode. Possible values are 'restricted', 'unrestricted'. Default value is 'restricted'.
> export-ntfs-unix-security-ops |  | exportntfsunixsecops optional | Ignore/Fail unix security operations on NTFS volumes. Possible values are 'ignore', 'fail'. Default value is 'fail'.
> is-allow-dev-is-enabled |  | boolean optional | If 'true', the NFS server will allow creation of devices. Default value is 'true'.
> is-allow-set-uid-enabled |  | boolean optional | If 'true', NFS server will honor SetUID bits in SETATTR operation. Default value is 'true'.
> policy-name |  | string | Export policy name.
> protocol |  | access-protocol[] optional | Client access protocol. Default value is 'any'.
> ro-rule |  | security-flavor[] | Rule for read-only access.
> rule-index |  | integer optional | Export rule index. A next available value is assigned if no value is provided during create else the rule is inserted at the given rule index position in the export-rule table.
> rw-rule |  | security-flavor[] | Rule for read-write access.
> super-user-security |  | security-flavor[] optional | Security flavors for the superuser. Default value is 'none'.

> Errno | Description
> EINTERNALERROR |  |

export-rule-destroy | [top]

> Delete an Export rule configuration.

> Input Name | Range | Type | Description
> policy-name |  | string | Export policy name.
> rule-index |  | integer | Export rule index.

> Errno | Description
> EOBJECTNOTFOUND |  |
> EINTERNALERROR |  |

export-rule-get | [top]

> Get an Export rule configuration.

> Input Name | Range | Type | Description
> desired-attributes |  | export-rule-info optional | Specify the attributes that should be returned. If not present, all attributes for which information is available will be returned. If present, only the desired attributes for which information is available will be returned.
> policy-name |  | string | Export policy name.
> rule-index | [0..2^32-1] | integer | Export rule index.
> Output Name | Range | Type | Description
> attributes |  | export-rule-info | The attributes of the Export rule configuration..

> Errno | Description
> EOBJECTNOTFOUND |  |
> EINTERNALERROR |  |

export-rule-get-create-defaults | [top]

> Obtain the default values for Export rule configuration

> Input Name | Range | Type | Description
> attributes |  | export-rule-info optional | Optionally specify the value for attributes if available. The default values for some attributes may depend on the values specified for some other attribute.
> Output Name | Range | Type | Description
> defaults |  | export-rule-info | The default attributes for the Export rule configuration..

export-rule-get-iter | [top]

> Get a group of Export rule configurations.

> Input Name | Range | Type | Description
> desired-attributes |  | export-rule-info optional | Specify the attributes that should be returned. If not present, all attributes for which information is available will be returned. If present, only the desired attributes for which information is available will be returned.
> max-records | [1..2^32-1] | integer optional | The maximum number of records to return in this call. Default: 20
> query |  | export-rule-info optional | A query that specifies which objects to return. A query could be specified on any number of attributes in the Export rule configuration. object. All Export rule configuration. objects matching this query up to 'max-records' will be returned.
> tag |  | string optional | Specify the tag from the last call. It is usually not specified for the first call. For subsequent calls, copy values from the 'next-tag' obtained from the previous call.
> Output Name | Range | Type | Description
> attributes-list |  | export-rule-info[] optional | The list of attributes of Export rule configuration. objects.
> next-tag |  | string optional | Tag for the next call. Not present when there are no more Export rule configuration. objects to return.
> num-records | [0..2^32-1] | integer | The number of records returned in this call.

> Errno | Description
> EINTERNALERROR |  |

export-rule-modify | [top]

> Modify an Export rule configuration.

> Input Name | Range | Type | Description
> anonymous-user-id |  | string optional | User name or ID to which anonymous users are mapped. Default value is '65534'.
> client-match |  | string optional | Client match specification for Export rule. The clients specified are enforced with this Export rule. The rule with the higher rule index value takes precedence.
> export-chown-mode |  | exportchownmode optional | Change ownership mode. Possible values are 'restricted', 'unrestricted'. Default value is 'restricted'.
> export-ntfs-unix-security-ops |  | exportntfsunixsecops optional | Ignore/Fail unix security operations on NTFS volumes. Possible values are 'ignore', 'fail'. Default value is 'fail'.
> is-allow-dev-is-enabled |  | boolean optional | If 'true', the NFS server will allow creation of devices. Default value is 'true'.
> is-allow-set-uid-enabled |  | boolean optional | If 'true', NFS server will honor SetUID bits in SETATTR operation. Default value is 'true'.
> policy-name |  | string | Export policy name.
> protocol |  | access-protocol[] optional | Client access protocol. Default value is 'any'.
> ro-rule |  | security-flavor[] optional | Rule for read-only access.
> rule-index |  | integer | Export rule index.
> rw-rule |  | security-flavor[] optional | Rule for read-write access.
> super-user-security |  | security-flavor[] optional | Security flavors for the superuser. Default value is 'none'.

> Errno | Description
> EOBJECTNOTFOUND |  |
> EINTERNALERROR |  |

export-rule-set-index | [top]

> Move a rule to the specified index

> Input Name | Range | Type | Description
> new-rule-index |  | integer | New ruleindex value for the Export rule. The rule will be inserted into the rule-index position in the export-rule table.
> policy-name |  | string | Export policy name.
> rule-index |  | integer | Export policy rule index.

> Errno | Description
> EOBJECTNOTFOUND |  |
> EINTERNALERROR |  |

Element definition: access-protocol | [top]

> any|nfs3|nfs|cifs|nfs4|flexcache Possible values: "any" - Any, "nfs2" - NFS Version 2, "nfs3" - NFS Version 3, "nfs" - Any Version of NFS, "cifs" - CIFS, "nfs4" - NFS Version 4, "flexcache" - Flexcache

> [none]

Element definition: export-policy-info | [top]

> Information about the Export policy configuration. When returned as part of the output, all elements of this typedef are reported, unless limited by a set of desired attributes specified by the caller. When used as input to specify desired attributes to return, omitting a given element indicates that it shall not be returned in the output. In contrast, by providing an element (even with no value) the caller ensures that a value for that element will be returned, given that the value can be retrieved. When used as input to specify queries, any element can be omitted in which case the resulting set of objects is not constrained by any specific value of that attribute.

> Name | Range | Type | Description
> policy-id | [0..2^64-1] | integer optional | Export policy id. Attributes: non-creatable, non-modifiable
> policy-name |  | string optional | Export policy name. Attributes: key, required-for-create, non-modifiable
> vserver |  | string optional | Vserver name. Attributes: key, non-creatable, non-modifiable

Element definition: export-rule-info | [top]

> Information about the Export rule configuration. When returned as part of the output, all elements of this typedef are reported, unless limited by a set of desired attributes specified by the caller. When used as input to specify desired attributes to return, omitting a given element indicates that it shall not be returned in the output. In contrast, by providing an element (even with no value) the caller ensures that a value for that element will be returned, given that the value can be retrieved. When used as input to specify queries, any element can be omitted in which case the resulting set of objects is not constrained by any specific value of that attribute.

> Name | Range | Type | Description
> anonymous-user-id |  | string optional | User name or ID to which anonymous users are mapped. Default value is '65534'. Attributes: optional-for-create, modifiable
> client-match |  | string optional | Client match specification for Export rule. The clients specified are enforced with this Export rule. The rule with the higher rule index value takes precedence. Attributes: required-for-create, modifiable
> export-chown-mode |  | exportchownmode optional | Change ownership mode. Possible values are 'restricted', 'unrestricted'. Default value is 'restricted'. Attributes: optional-for-create, modifiable Possible values: "restricted" , "unrestricted"
> export-ntfs-unix-security-ops |  | exportntfsunixsecops optional | Ignore/Fail unix security operations on NTFS volumes. Possible values are 'ignore', 'fail'. Default value is 'fail'. Attributes: optional-for-create, modifiable Possible values: "ignore" , "fail"
> is-allow-dev-is-enabled |  | boolean optional | If 'true', the NFS server will allow creation of devices. Default value is 'true'. Attributes: optional-for-create, modifiable
> is-allow-set-uid-enabled |  | boolean optional | If 'true', NFS server will honor SetUID bits in SETATTR operation. Default value is 'true'. Attributes: optional-for-create, modifiable
> policy-name |  | string optional | Export policy name. Attributes: key, required-for-create, non-modifiable
> protocol |  | access-protocol[] optional | Client access protocol. Default value is 'any'. Attributes: optional-for-create, modifiable Possible values: "any" - Any, "nfs2" - NFS Version 2, "nfs3" - NFS Version 3, "nfs" - Any Version of NFS, "cifs" - CIFS, "nfs4" - NFS Version 4, "flexcache" - Flexcache
> ro-rule |  | security-flavor[] optional | Rule for read-only access. Attributes: required-for-create, modifiable Possible values: "any" - Any, "none" - Anonymous Access Allowed If Security Type Not Already Listed, "never" - Never, "krb5" - Kerberos 5 Authentication, "ntlm" - CIFS NTLM, "sys" - NFS AUTH_SYS, "spinauth" - SpinAuth
> rule-index | [0..2^32-1] | integer optional | Export rule index. Attributes: key, optional-for-create, non-modifiable
> rw-rule |  | security-flavor[] optional | Rule for read-write access. Attributes: required-for-create, modifiable Possible values: "any" - Any, "none" - Anonymous Access Allowed If Security Type Not Already Listed, "never" - Never, "krb5" - Kerberos 5 Authentication, "ntlm" - CIFS NTLM, "sys" - NFS AUTH_SYS, "spinauth" - SpinAuth
> super-user-security |  | security-flavor[] optional | Security flavors for the superuser. Default value is 'none'. Attributes: optional-for-create, modifiable Possible values: "any" - Any, "none" - Anonymous Access Allowed If Security Type Not Already Listed, "never" - Never, "krb5" - Kerberos 5 Authentication, "ntlm" - CIFS NTLM, "sys" - NFS AUTH_SYS, "spinauth" - SpinAuth
> vserver-name |  | string optional | Vserver name. Attributes: key, non-creatable, non-modifiable

Element definition: exportchownmode | [top]

> restricted|unrestricted Possible values: "restricted" , "unrestricted"

> [none]

Element definition: exportntfsunixsecops | [top]

> ignore|fail Possible values: "ignore" , "fail"

> [none]

Element definition: security-flavor | [top]

> any|none|never|krb5|ntlm|sys Possible values: "any" - Any, "none" - Anonymous Access Allowed If Security Type Not Already Listed, "never" - Never, "krb5" - Kerberos 5 Authentication, "ntlm" - CIFS NTLM, "sys" - NFS AUTH_SYS, "spinauth" - SpinAuth

> [none]

Element definition: access-protocol | [top]

> any|nfs3|nfs|cifs|nfs4|flexcache Possible values: "any" - Any, "nfs2" - NFS Version 2, "nfs3" - NFS Version 3, "nfs" - Any Version of NFS, "cifs" - CIFS, "nfs4" - NFS Version 4, "flexcache" - Flexcache

> [none]